Package fr.gouv.vitam.common.client

# Class VitamApacheHttpClientEngine

java.lang.Object
fr.gouv.vitam.common.client.VitamApacheHttpClientEngine

All Implemented Interfaces:
  `org.jboss.resteasy.client.jaxrs.ClientHttpEngine`

public class VitamApacheHttpClientEngine extends Object implements org.jboss.resteasy.client.jaxrs.ClientHttpEngine
Vtam Specific Apache Http Client Engine In particular, handle chunk mode

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `VitamApacheHttpClientEngine.VitamConnectionReuseStrategy`
  Default implementation of a strategy deciding about connection re-use.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VitamApacheHttpClientEngine(Map<VitamRestEasyConfiguration,Object> config)`
  Default constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `HostnameVerifier`
  `getHostnameVerifier()`
  `SSLContext`
  `getSslContext()`
  `org.jboss.resteasy.client.jaxrs.internal.ClientResponse`
  `invoke(jakarta.ws.rs.client.Invocation clientInvocation)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.jboss.resteasy.client.jaxrs.ClientHttpEngine

  `isFollowRedirects, setFollowRedirects`

- ## Constructor Details

  - ### VitamApacheHttpClientEngine

    public VitamApacheHttpClientEngine(Map<VitamRestEasyConfiguration,Object> config)
    Default constructor
    Parameters:
      `config` -

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getSslContext

    public SSLContext getSslContext()
    Specified by:
      `getSslContext` in interface `org.jboss.resteasy.client.jaxrs.ClientHttpEngine`

  - ### getHostnameVerifier

    public HostnameVerifier getHostnameVerifier()
    Specified by:
      `getHostnameVerifier` in interface `org.jboss.resteasy.client.jaxrs.ClientHttpEngine`

  - ### invoke

    public org.jboss.resteasy.client.jaxrs.internal.ClientResponse invoke(jakarta.ws.rs.client.Invocation clientInvocation)
    Specified by:
      `invoke` in interface `org.jboss.resteasy.client.jaxrs.ClientHttpEngine`

  - ### close

    public void close()
    Specified by:
      `close` in interface `org.jboss.resteasy.client.jaxrs.ClientHttpEngine`